{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    Page header.
}}


<header id="page-header">

    <div class="row no-gutters">

      {{#hasnavbar}}
      <div class="breadcrumbs w-100 row no-gutters">
        <div id="page-navbar" class="breadcrumbs-container w-100">
            {{{navbar}}}
        </div>
      </div>
      {{/hasnavbar}}

      <div class="w-100 row no-gutters align-items-center c-header-content">
        {{#contextheader}}
        <div class="page-title mb-0">
        {{{contextheader}}}
        </div>
        {{/contextheader}}

        <div id="settingsMenu" class="settings-menu">
          {{#settingsmenu}}
          <div id="headerBtn" class="header-settings-menu-box">
              {{{settingsmenu}}}
          </div>
          {{/settingsmenu}}
          {{{pageheadingbutton}}}
        </div>

        {{#pageheading}}<h3 class="page-sub-title">{{{pageheading}}}</h3>{{/pageheading}}

        {{#courseheader}}
        <div id="course-header" class="col-12 row">     
        {{{courseheader}}}
        </div>
        {{/courseheader}}

      </div>

    </div>

</header>
